### Method

# Rest XmlNode get_attr

#### Declaration [src]

    const gchar*
    rest_xml_node_get_attr (
      RestXmlNode* node,
      const gchar* attr_name
    )

#### Description [src]

Get the value of the attribute named `attr_name`, or `NULL` if it doesn’t exist.

#### Parameters

`attr_name`

  Type: `const gchar*`

  The name of an attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The attribute value. This string is owned by `RestXmlNode` and should not be freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.